Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 708062 - games-emulation/gngeo-0.8-r1 : fails to build with -fno-common or gcc-10
Summary: games-emulation/gngeo-0.8-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Games
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-03 18:51 UTC by Toralf Förster
Modified: 2020-09-21 21:14 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.76 KB, text/plain)
2020-02-03 18:51 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,42.73 KB, text/plain)
2020-02-03 18:51 UTC, Toralf Förster
Details
environment (environment,100.16 KB, text/plain)
2020-02-03 18:51 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.21 KB, application/x-bzip)
2020-02-03 18:51 UTC, Toralf Förster
Details
games-emulation:gngeo-0.8-r1:20200203-150459.log (games-emulation:gngeo-0.8-r1:20200203-150459.log,151.59 KB, text/plain)
2020-02-03 18:51 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.26 KB, application/x-bzip)
2020-02-03 18:51 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,31.84 KB, application/x-bzip)
2020-02-03 18:51 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-03 18:51:18 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DDATA_DIRECTORY=\"/usr/share/gngeo\"   -O2 -pipe -march=native -fno-common -std=gnu89 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -c -o stb_zlib.o stb_zlib.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DDATA_DIRECTORY=\"/usr/share/gngeo\"   -O2 -pipe -march=native -fno-common -std=gnu89 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -c -o generator68k_interf.o generator68k_interf.c
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -DDATA_DIRECTORY=\"/usr/share/gngeo\"   -O2 -pipe -march=native -fno-common -std=gnu89 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -c -o mamez80_interf.o mamez80_interf.c
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -std=gnu89 -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT  -Wl,-O1 -Wl,--as-needed -o gngeo fileio.o pd4990a.o video.o profiler.o main.o list.o memory.o resfile.o timer.o frame_skip.o messages.o screen.o emu.o neocrypt.o sound.o unzip.o debug.o state.o conf.o transpack.o menu.o roms.o mame_layer.o neoboot.o event.o stb_image.o stb_zlib.o  generator68k_interf.o   mamez80_interf.o    effect/libeffect.a blitter/libblitter.a ym2610/libym2610.a generator68k/libgenerator68k.a mamez80/libmamez80.a  -lminizip -lz -lm  -lSDL -lpthread
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pd4990a.o:(.bss+0x0): multiple definition of `mem68k_store_bksw_long'; fileio.o:(.bss+0x338): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: pd4990a.o:(.bss+0x8): multiple definition of `mem68k_store_bksw_word'; fileio.o:(.bss+0x340): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20200202-055736

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 03 Feb 2020 13:27:00 +0000

emerge -qpvO games-emulation/gngeo
[ebuild  N    ] games-emulation/gngeo-0.8-r1
Comment 1 Toralf Förster gentoo-dev 2020-02-03 18:51:21 UTC
Created attachment 611450 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-03 18:51:24 UTC
Created attachment 611452 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-03 18:51:26 UTC
Created attachment 611454 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-03 18:51:29 UTC
Created attachment 611456 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-03 18:51:32 UTC
Created attachment 611458 [details]
games-emulation:gngeo-0.8-r1:20200203-150459.log
Comment 6 Toralf Förster gentoo-dev 2020-02-03 18:51:35 UTC
Created attachment 611460 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-03 18:51:38 UTC
Created attachment 611462 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-09-21 21:14:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c8fbcf2f15b94c6fd846688677e69ee9cdae554

commit 6c8fbcf2f15b94c6fd846688677e69ee9cdae554
Author:     Alexey Sokolov <sokolov@google.com>
AuthorDate: 2020-09-16 00:20:10 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2020-09-21 21:12:02 +0000

    games-emulation/gngeo: fix build with gcc 10
    
    Closes: https://bugs.gentoo.org/708062
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Alexey Sokolov <alexey+gentoo@asokolov.org>
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 .../gngeo/files/gngeo-0.8-fcommon.patch            | 289 +++++++++++++++++++++
 games-emulation/gngeo/gngeo-0.8-r2.ebuild          |  48 ++++
 2 files changed, 337 insertions(+)